/*

Copyright (C) 2008 Mu Gao
Georgia Institute of Technology

*/


/* alpha or turns */
const float SC_PARA_A[20][20] = {
        {   0.000,    0.000,    0.000  },       /*   0  GLY  */
        {   0.249,   -1.118,    0.975  },       /*   1  ALA  */
        {   0.169,   -1.369,    1.103  },       /*   2  SER  */
        {  -0.073,   -1.201,    1.476  },       /*   3  CYS  */
        {   0.274,   -1.162,    1.480  },       /*   4  VAL  */
        {   0.090,   -1.296,    1.346  },       /*   5  THR  */
        {   0.100,   -1.363,    1.769  },       /*   6  ILE  */
        {  -0.743,   -1.563,    0.438  },       /*   7  PRO  */
        {  -0.049,   -1.246,    2.308  },       /*   8  MET  */
        {  -0.221,   -1.249,    1.769  },       /*   9  ASP  */
        {  -0.357,   -1.096,    1.849  },       /*  10  ASN  */
        {  -0.057,   -1.161,    2.128  },       /*  11  LEU  */
        {   0.027,   -1.616,    2.597  },       /*  12  LYS  */
        {  -0.013,   -1.554,    2.219  },       /*  13  GLU  */
        {  -0.086,   -1.439,    2.296  },       /*  14  GLN  */
        {   0.113,   -1.932,    2.933  },       /*  15  ARG  */
        {  -0.221,   -1.138,    2.165  },       /*  16  HIS  */
        {   0.111,   -0.984,    2.447  },       /*  17  PHE  */
        {   0.128,   -1.035,    2.604  },       /*  18  TYR  */
        {   0.476,   -1.156,    2.541  },       /*  19  TRP  */
};

/* beta */
const float SC_PARA_B[20][20] = {
        {   0.000,    0.000,    0.000  },       /*   0  GLY  */
        {   0.113,   -0.736,    1.294  },       /*   1  ALA  */
        {   0.227,   -0.966,    1.427  },       /*   2  SER  */
        {   0.084,   -0.738,    1.712  },       /*   3  CYS  */
        {   0.093,   -0.583,    1.799  },       /*   4  VAL  */
        {   0.070,   -0.854,    1.633  },       /*   5  THR  */
        {  -0.105,   -0.601,    2.135  },       /*   6  ILE  */
        {  -0.980,   -1.183,    0.976  },       /*   7  PRO  */
        {   0.094,   -0.723,    2.610  },       /*   8  MET  */
        {   0.334,   -0.664,    1.992  },       /*   9  ASP  */
        {   0.097,   -0.699,    1.962  },       /*  10  ASN  */
        {   0.003,   -0.393,    2.400  },       /*  11  LEU  */
        {  -0.019,   -0.745,    2.972  },       /*  12  LYS  */
        {   0.101,   -0.793,    2.684  },       /*  13  GLU  */
        {   0.041,   -0.707,    2.666  },       /*  14  GLN  */
        {  -0.020,   -0.998,    3.394  },       /*  15  ARG  */
        {  -0.133,   -0.598,    2.363  },       /*  16  HIS  */
        {  -0.363,   -0.632,    2.507  },       /*  17  PHE  */
        {  -0.375,   -0.601,    2.706  },       /*  18  TYR  */
        {  -0.058,   -0.427,    2.894  },       /*  19  TRP  */
};


/* interface contact cutoffs for coarse-grained modeles with Ca and SCOM */
const float CG_CF[20][20] = {

        /*  GLY  ALA  SER  CYS  VAL  THR  ILE  PRO  MET  ASP  ASN  LEU  LYS  GLU  GLN  ARG  HIS  PHE  TYR  TRP */
/* GLY */ { 5.9, 5.6, 5.9, 6.1, 6.3, 6.0, 6.4, 6.1, 6.3, 5.9, 6.3, 6.3, 6.3, 6.0, 6.4, 6.9, 6.7, 6.8, 6.4, 7.0  },
/* ALA */ { 5.6, 5.1, 5.8, 6.1, 5.9, 6.0, 6.2, 5.7, 6.3, 5.9, 6.2, 6.1, 6.3, 5.9, 6.2, 6.5, 6.2, 6.9, 6.4, 6.7  },
/* SER */ { 5.9, 5.8, 5.6, 6.3, 6.0, 5.9, 6.4, 6.2, 6.3, 6.3, 6.3, 6.2, 6.4, 6.4, 6.3, 6.8, 6.6, 7.0, 6.5, 6.4  },
/* CYS */ { 6.1, 6.1, 6.3, 6.3, 6.5, 5.9, 6.8, 6.2, 7.0, 6.2, 6.4, 6.6, 6.1, 6.1, 6.2, 6.7, 7.2, 6.8, 6.5, 7.2  },
/* VAL */ { 6.3, 5.9, 6.0, 6.5, 6.5, 6.4, 6.6, 6.3, 7.0, 6.1, 6.5, 6.7, 6.4, 6.3, 7.0, 6.5, 6.8, 7.5, 6.6, 6.8  },
/* THR */ { 6.0, 6.0, 5.9, 5.9, 6.4, 6.3, 6.8, 6.2, 6.5, 6.1, 6.5, 6.7, 6.6, 6.5, 6.7, 6.9, 6.9, 7.5, 6.3, 7.1  },
/* ILE */ { 6.4, 6.2, 6.4, 6.8, 6.6, 6.8, 7.2, 6.7, 7.1, 6.3, 6.6, 7.0, 6.4, 6.9, 6.5, 6.8, 6.6, 7.3, 6.9, 7.3  },
/* PRO */ { 6.1, 5.7, 6.2, 6.2, 6.3, 6.2, 6.7, 6.5, 6.7, 6.2, 6.4, 6.6, 6.7, 6.4, 6.5, 7.0, 6.3, 7.0, 7.0, 6.8  },
/* MET */ { 6.3, 6.3, 6.3, 7.0, 7.0, 6.5, 7.1, 6.7, 7.6, 6.2, 6.7, 7.2, 6.9, 6.3, 7.3, 7.5, 7.1, 7.2, 7.0, 7.5  },
/* ASP */ { 5.9, 5.9, 6.3, 6.2, 6.1, 6.1, 6.3, 6.2, 6.2, 6.4, 6.5, 6.2, 7.4, 6.9, 6.8, 7.6, 7.1, 7.0, 6.6, 7.7  },
/* ASN */ { 6.3, 6.2, 6.3, 6.4, 6.5, 6.5, 6.6, 6.4, 6.7, 6.5, 6.8, 6.6, 6.9, 6.8, 6.8, 6.9, 7.1, 7.2, 6.8, 6.6  },
/* LEU */ { 6.3, 6.1, 6.2, 6.6, 6.7, 6.7, 7.0, 6.6, 7.2, 6.2, 6.6, 7.1, 6.5, 6.3, 6.4, 6.8, 6.9, 7.6, 7.2, 7.7  },
/* LYS */ { 6.3, 6.3, 6.4, 6.1, 6.4, 6.6, 6.4, 6.7, 6.9, 7.4, 6.9, 6.5, 6.2, 7.3, 7.1, 7.3, 6.3, 6.9, 7.1, 7.5  },
/* GLU */ { 6.0, 5.9, 6.4, 6.1, 6.3, 6.5, 6.9, 6.4, 6.3, 6.9, 6.8, 6.3, 7.3, 5.9, 7.1, 8.1, 7.7, 6.6, 6.9, 7.5  },
/* GLN */ { 6.4, 6.2, 6.3, 6.2, 7.0, 6.7, 6.5, 6.5, 7.3, 6.8, 6.8, 6.4, 7.1, 7.1, 7.2, 6.6, 6.9, 7.1, 7.4, 7.4  },
/* ARG */ { 6.9, 6.5, 6.8, 6.7, 6.5, 6.9, 6.8, 7.0, 7.5, 7.6, 6.9, 6.8, 7.3, 8.1, 6.6, 7.4, 7.6, 7.1, 7.3, 7.3  },
/* HIS */ { 6.7, 6.2, 6.6, 7.2, 6.8, 6.9, 6.6, 6.3, 7.1, 7.1, 7.1, 6.9, 6.3, 7.7, 6.9, 7.6, 6.7, 7.3, 7.0, 7.7  },
/* PHE */ { 6.8, 6.9, 7.0, 6.8, 7.5, 7.5, 7.3, 7.0, 7.2, 7.0, 7.2, 7.6, 6.9, 6.6, 7.1, 7.1, 7.3, 7.2, 7.2, 8.3  },
/* TYR */ { 6.4, 6.4, 6.5, 6.5, 6.6, 6.3, 6.9, 7.0, 7.0, 6.6, 6.8, 7.2, 7.1, 6.9, 7.4, 7.3, 7.0, 7.2, 6.3, 7.5  },
/* TRP */ { 7.0, 6.7, 6.4, 7.2, 6.8, 7.1, 7.3, 6.8, 7.5, 7.7, 6.6, 7.7, 7.5, 7.5, 7.4, 7.3, 7.7, 8.3, 7.5, 6.4  },

};

/* squared interface contact cutoffs for coarse-grained modeles with Ca and SCOM */
const float CG_CF2[20][20] = {
         /*  GLY    ALA    SER    CYS    VAL    THR    ILE    PRO    MET    ASP    ASN    LEU    LYS    GLU    GLN    ARG    HIS    PHE    TYR    TRP */
/* GLY */ {  34.81, 31.36, 34.81, 37.21, 39.69, 36.00, 40.96, 37.21, 39.69, 34.81, 39.69, 39.69, 39.69, 36.00, 40.96, 47.61, 44.89, 46.24, 40.96, 49.00,  },
/* ALA */ {  31.36, 26.01, 33.64, 37.21, 34.81, 36.00, 38.44, 32.49, 39.69, 34.81, 38.44, 37.21, 39.69, 34.81, 38.44, 42.25, 38.44, 47.61, 40.96, 44.89,  },
/* SER */ {  34.81, 33.64, 31.36, 39.69, 36.00, 34.81, 40.96, 38.44, 39.69, 39.69, 39.69, 38.44, 40.96, 40.96, 39.69, 46.24, 43.56, 49.00, 42.25, 40.96,  },
/* CYS */ {  37.21, 37.21, 39.69, 39.69, 42.25, 34.81, 46.24, 38.44, 49.00, 38.44, 40.96, 43.56, 37.21, 37.21, 38.44, 44.89, 51.84, 46.24, 42.25, 51.84,  },
/* VAL */ {  39.69, 34.81, 36.00, 42.25, 42.25, 40.96, 43.56, 39.69, 49.00, 37.21, 42.25, 44.89, 40.96, 39.69, 49.00, 42.25, 46.24, 56.25, 43.56, 46.24,  },
/* THR */ {  36.00, 36.00, 34.81, 34.81, 40.96, 39.69, 46.24, 38.44, 42.25, 37.21, 42.25, 44.89, 43.56, 42.25, 44.89, 47.61, 47.61, 56.25, 39.69, 50.41,  },
/* ILE */ {  40.96, 38.44, 40.96, 46.24, 43.56, 46.24, 51.84, 44.89, 50.41, 39.69, 43.56, 49.00, 40.96, 47.61, 42.25, 46.24, 43.56, 53.29, 47.61, 53.29,  },
/* PRO */ {  37.21, 32.49, 38.44, 38.44, 39.69, 38.44, 44.89, 42.25, 44.89, 38.44, 40.96, 43.56, 44.89, 40.96, 42.25, 49.00, 39.69, 49.00, 49.00, 46.24,  },
/* MET */ {  39.69, 39.69, 39.69, 49.00, 49.00, 42.25, 50.41, 44.89, 57.76, 38.44, 44.89, 51.84, 47.61, 39.69, 53.29, 56.25, 50.41, 51.84, 49.00, 56.25,  },
/* ASP */ {  34.81, 34.81, 39.69, 38.44, 37.21, 37.21, 39.69, 38.44, 38.44, 40.96, 42.25, 38.44, 54.76, 47.61, 46.24, 57.76, 50.41, 49.00, 43.56, 59.29,  },
/* ASN */ {  39.69, 38.44, 39.69, 40.96, 42.25, 42.25, 43.56, 40.96, 44.89, 42.25, 46.24, 43.56, 47.61, 46.24, 46.24, 47.61, 50.41, 51.84, 46.24, 43.56,  },
/* LEU */ {  39.69, 37.21, 38.44, 43.56, 44.89, 44.89, 49.00, 43.56, 51.84, 38.44, 43.56, 50.41, 42.25, 39.69, 40.96, 46.24, 47.61, 57.76, 51.84, 59.29,  },
/* LYS */ {  39.69, 39.69, 40.96, 37.21, 40.96, 43.56, 40.96, 44.89, 47.61, 54.76, 47.61, 42.25, 38.44, 53.29, 50.41, 53.29, 39.69, 47.61, 50.41, 56.25,  },
/* GLU */ {  36.00, 34.81, 40.96, 37.21, 39.69, 42.25, 47.61, 40.96, 39.69, 47.61, 46.24, 39.69, 53.29, 34.81, 50.41, 65.61, 59.29, 43.56, 47.61, 56.25,  },
/* GLN */ {  40.96, 38.44, 39.69, 38.44, 49.00, 44.89, 42.25, 42.25, 53.29, 46.24, 46.24, 40.96, 50.41, 50.41, 51.84, 43.56, 47.61, 50.41, 54.76, 54.76,  },
/* ARG */ {  47.61, 42.25, 46.24, 44.89, 42.25, 47.61, 46.24, 49.00, 56.25, 57.76, 47.61, 46.24, 53.29, 65.61, 43.56, 54.76, 57.76, 50.41, 53.29, 53.29,  },
/* HIS */ {  44.89, 38.44, 43.56, 51.84, 46.24, 47.61, 43.56, 39.69, 50.41, 50.41, 50.41, 47.61, 39.69, 59.29, 47.61, 57.76, 44.89, 53.29, 49.00, 59.29,  },
/* PHE */ {  46.24, 47.61, 49.00, 46.24, 56.25, 56.25, 53.29, 49.00, 51.84, 49.00, 51.84, 57.76, 47.61, 43.56, 50.41, 50.41, 53.29, 51.84, 51.84, 68.89,  },
/* TYR */ {  40.96, 40.96, 42.25, 42.25, 43.56, 39.69, 47.61, 49.00, 49.00, 43.56, 46.24, 51.84, 50.41, 47.61, 54.76, 53.29, 49.00, 51.84, 39.69, 56.25,  },
/* TRP */ {  49.00, 44.89, 40.96, 51.84, 46.24, 50.41, 53.29, 46.24, 56.25, 59.29, 43.56, 59.29, 56.25, 56.25, 54.76, 53.29, 59.29, 68.89, 56.25, 40.96,  },

};
